Bug 123700 - network configuration invalid after update from FC1
Summary: network configuration invalid after update from FC1
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-20 04:33 UTC by Brian Wheeler
Modified: 2014-03-17 02:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-29 01:43:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Network configuration (71 bytes, text/plain)
2004-05-25 16:24 UTC, Brian Wheeler
no flags Details
ifcfg-eth0 file (84 bytes, text/plain)
2004-05-25 16:26 UTC, Brian Wheeler
no flags Details

Description Brian Wheeler 2004-05-20 04:33:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
Not related to this component per-se, but its involved with the fix.

When upgrading my FC1 box (which was upgraded from RH9) the network
configuration was invalid.  Running system-config-network with the
same settings fixed the problem.  The only difference I saw between
the two ifcfg-eth0 files was the old one didn't have a GATEWAY and the
new one did.

Symptoms included not being able to ping or connect beyond the subnet,
which makes since if it was a GATEWAY issue.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Take an FC1 box
2. Upgrade to FC2
3. Darn that network!
    

Additional info:

Comment 1 Harald Hoyer 2004-05-24 10:42:50 UTC
reassigning to initscripts

Comment 2 Bill Nottingham 2004-05-25 16:11:13 UTC
Was there a GATEWAY line in /etc/sysconfig/network?

Can you attach the /etc/sysconfig/network and ifcfg-* from the
'not-working' state?

Comment 3 Brian Wheeler 2004-05-25 16:24:05 UTC
Created attachment 100545 [details]
Network configuration

Comment 4 Brian Wheeler 2004-05-25 16:26:19 UTC
Created attachment 100546 [details]
ifcfg-eth0 file

Comment 5 Brian Wheeler 2004-05-25 16:29:49 UTC
The /etc/sysconfig/network file had a GATEWAY setting before and after
the upgrade.  The ifcfg-eth0 file didn't have a GATEWAY after the
upgrade but did after I ran system-config-network.



Comment 6 Matthew Miller 2005-04-26 15:24:33 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 7 Bill Nottingham 2005-04-29 01:43:21 UTC
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response. Please reopen if this persists on a current release, such as Fedora
Core 3.


Note You need to log in before you can comment on or make changes to this bug.